For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of all wallet grants
      • POSTCreate a wallet grant
      • GETGet a wallet grant
  • Event API
LoginSandbox
Transaction APIWallet Grants

Create a wallet grant

POST
/v:version/wallet-grants
POST
/v:version/wallet-grants
$curl -X POST https://api.solvimon.com/v1/wallet-grants \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customer_id": "string",
> "billing_entity_id": "string",
> "wallet_id": "string"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "customer_id": "string",
5 "billing_entity_id": "string",
6 "wallet_id": "string",
7 "type": "DEFAULT",
8 "description": "string",
9 "grant_amount": {
10 "quantity": "string",
11 "currency": "AED"
12 },
13 "grant_credits": {
14 "quantity": "string",
15 "credit_type_id": "string"
16 },
17 "paid_amount": {
18 "quantity": "string",
19 "currency": "AED"
20 },
21 "start_at": "2024-01-15T09:30:00Z",
22 "expire_at": "2024-01-15T09:30:00Z",
23 "created_at": "string"
24}

Requires the WALLET_GRANT.CREATE permission.

Was this page helpful?
Previous

Get a wallet grant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstring or nullRequired
The ID of the customer.
billing_entity_idstring or nullRequired
The ID of the billing entity granting the wallet grant.
wallet_idstring or nullRequired
The ID of the wallet.
typeenumOptional
The type of wallet grant.
Allowed values:
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
The description of the wallet grant.
grant_amountobjectOptional
The value of the grant in case of an amount wallet type.
grant_creditsobjectOptional
The value of the grant in case of a credits wallet type.
paid_amountobjectOptional
start_atdatetime or nullOptional
expire_atdatetime or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
The ID of the customer.
billing_entity_idstring or null
The ID of the billing entity granting the wallet grant.
wallet_idstring or null
The ID of the wallet.
typeenum
The type of wallet grant.
Allowed values:
descriptionstring or nullformat: "^.*$"0-256 characters
The description of the wallet grant.
grant_amountobject
The value of the grant in case of an amount wallet type.
grant_creditsobject
The value of the grant in case of a credits wallet type.
paid_amountobject
start_atdatetime or null
expire_atdatetime or null
created_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error